This project is read-only.

Any thought of a 2014 version?

Jun 26, 2014 at 6:26 PM
Love the thought of the SSISDB dacpac and surely wish Microsoft could get it together and realize that databases such as this, which are classified as USER databases, are really, in practice, system databases. ReportServer database is another one.

Anyway, I tried using the SSISDB.dacpac file as a reference in a Database Project, and it bombed out because my Project is set to SQL Server 2014 and the dacpac is 2012.

I then tried adding it as referenced on another server, requiring 4 part naming convention, but still get errors while trying to reference something like:

$(SQL01).$(SSISDB).[catalog].[create_execution]

What am I missing?
Thanks in advance.
Sep 18, 2015 at 3:31 PM
You should be able to set an option when publishing to allow the dacpac to create against a different version of SQL. AllowIncompatiblePlatform or something similar, maybe IgnoreIncompatiblePlatform.